Bug 1209917 (CVE-2015-3408) - CVE-2015-3408 perl-Module-Signature: arbitrary code execution when verifying module signatures
Summary: CVE-2015-3408 perl-Module-Signature: arbitrary code execution when verifying ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-3408
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150405,repor...
Depends On: 1209920 1209922
Blocks: 1209919
TreeView+ depends on / blocked
 
Reported: 2015-04-08 12:51 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:31 UTC (History)
6 users (show)

Fixed In Version: perl-Module-Signature 0.75
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-18 10:01:49 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-04-08 12:51:02 UTC
Module::Signature before version 0.75 used two argument open() calls to read the files when generating checksums from the signed manifest. This allowed embedding arbitrary shell commands into the SIGNATURE file that would execute during the signature verification process.

Upstream fix: https://github.com/audreyt/module-signature/commit/8a9164596fa5952d4fbcde5aa1c7d1c7bc85372f
CVE request: http://seclists.org/oss-sec/2015/q2/59

Comment 1 Vasyl Kaigorodov 2015-04-08 12:55:41 UTC
Created perl-Module-Signature tracking bugs for this issue:

Affects: fedora-all [bug 1209920]
Affects: epel-all [bug 1209922]

Comment 2 Fedora Update System 2015-04-18 09:34:24 UTC
perl-Module-Signature-0.78-1.fc21, perl-Test-Signature-1.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-18 09:49:42 UTC
perl-Test-Signature-1.11-1.fc20, perl-Module-Signature-0.78-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-21 18:46:55 UTC
perl-Module-Signature-0.78-1.fc22, perl-Test-Signature-1.11-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-25 23:50:08 UTC
perl-Test-Signature-1.11-1.el6, perl-Module-Signature-0.78-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-25 23:50:51 UTC
perl-Test-Signature-1.11-1.el5, perl-Module-Signature-0.78-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Paul Howarth 2015-04-26 09:01:55 UTC
Fixed in all current Fedora and EPEL releases.

Still to be fixed in RHEL-7.


Note You need to log in before you can comment on or make changes to this bug.